#
# spec file for package xemacs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xemacs
# this is tricky to fix for PIE support. revisit to remove occasionaly after 21.5.34 version
#!BuildIgnore:	gcc-PIE
#!BuildIgnore:  diffstat
BuildRequires:  alsa-lib-devel
BuildRequires:  autoconf
BuildRequires:  compface
BuildRequires:  db-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gdbm-devel
BuildRequires:  info
BuildRequires:  krb5
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  makeinfo
BuildRequires:  ncurses-devel
BuildRequires:  openldap2-devel
BuildRequires:  par
BuildRequires:  texinfo
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xaw3d)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xt)

%if 0%{?suse_version} > 1130
BuildRequires:  gpm-devel
%else
BuildRequires:  gpm
%endif
%define _id     995257d0c590
%define _hg     hg%{_id}
Version:        21.5.34
Release:        26.3
Summary:        XEmacs
License:        GPL-3.0-or-later
Group:          Productivity/Editors/Emacs
%define	appdefdir  /usr/share/X11
%define xbindir    /usr/bin
%define xincludes  /usr/include
%define xlibraries /usr/%{_lib}
URL:            http://www.xemacs.org
# Howto get the Mercurial tree of XEmacs:
# See: http://xemacs.digimirror.nl/Develop/hgaccess.html
# hg clone http://hg.debian.org/hg/xemacs/xemacs-beta
#
# delete the .hg directory before creating the tarball in order
# not to make the source rpm huge.
Source0:        http://ftp.xemacs.org/pub/xemacs/xemacs-21.5/%{name}-%{version}.tar.gz
Source1:        xe-list.el
Source2:        fix-load-history.el
Source3:        xemacs.desktop
Source4:        xemacs.png
Source5:        suse-xft-init.el
Source6:        site-start.el
Source7:        skel.init.el
Source90:       xemacs-rpmlintrc
Patch0:         xemacs.patch
# keep in sync with the similar patch to the app-defaults in the main xemacs-packages package:
Patch3:         xemacs-app-defaults.patch
Patch18:        xemacs-21.4.8-xevent.patch
Patch20:        xemacs-21.4.13-ppc64.patch
Patch23:        xemacs-ptmx.dif
Patch27:        xemacs-level3.patch
Patch28:        xemacs-21.5.18-movemail.patch
Patch32:        do-not-create-backups-in-temp-directories.patch
Patch33:        set-locale-to-c-when-not-supported-by-x.patch
Patch39:        xemacs-tinfo.dif
Patch43:        set-language-unicode-precedence-list.patch
Patch45:        fix-defface-custom-modified-face.patch
Patch50:        menus-always-utf8.patch
Patch51:        bnc502716-fontmenu.patch
Patch52:        bnc502716-xft.patch
Patch53:        xemacs-21.5.31-array.patch
Patch54:        xemacs-21.5.34-gcc5.patch
Patch56:        xemacs-libpng15.patch
Patch292811:    bugzilla-292811-make-x-make-font-bold-italic-xft-work.patch
Patch301352:    bugzilla-301352-fix-wrong-incrementing-in-macros.patch
# PATCH-FIX-UPSTREAM bsc#930170
Patch57:        xemacs-21.5.34-Xaw3D_I18N.patch
# PATCH-FIX-SUSE bsc#932321
Patch58:        xemacs-21.5.34-custom-fonts.patch
# PATCH-FIX-SUSE do wait on alsa
Patch59:        xemacs-21.5.34-alsaplay.patch
# PATCH-FIX-SUSE avoid redefinition of sbrk
Patch60:        xemacs-21.5.34-sbrk.patch
# PATCH-FIX-SUSE fix make build race
Patch61:        xemacs-21.5.34-boo1115177.patch
Patch62:        xemacs-libX11-boo1175028.patch
# PATCH-FIX-SUSE sys_siglist is deprecated
Patch63:        xemacs-21.5.34-strsignal.patch
Patch64:        xemacs-21.5.34-fix2038.patch
# PATCH-FIX-SUSE drop hostname+timestamp from .elc
Patch65:        reproducible.patch
Requires(pre):  permissions
Requires:       ctags
Requires:       efont-unicode
Requires:       ifnteuro
Requires:       xemacs-info
Requires:       xemacs-packages
Requires:       xorg-x11-fonts
Requires:       xorg-x11-fonts-core
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      gnuserv
%define _default_patch_fuzz 2

%bcond_with lock

%description
This is the current version of XEmacs, formerly known as Lucid-Emacs.
It is related to other versions of Emacs, in particular GNU Emacs. Its
emphasis is on modern graphical user interface support and an open
software development model, similar to Linux.

Lisp macros are not necessarily interchangeable between GNU-Emacs and
XEmacs. This is mainly important for translated .elc files and the key
macros.

%package     -n xemacs-el
Summary:        Emacs-Lisp source files for XEmacs
Group:          Productivity/Editors/Emacs
Requires:       xemacs = %{version}
Requires:       xemacs-packages-el
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description -n xemacs-el
Most Emacs-Lisp source files are not needed for running XEmacs. Most of
them are also available in byte compiled form and therefore not
necessary at runtime. The true XEmacs addict will install them
nevertheless because it is often useful and enlightening to have a look
at the Lisp sources.

%package     -n xemacs-info
Summary:        Info Files for XEmacs
Group:          Productivity/Editors/Emacs
Requires:       xemacs-packages-info
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description -n xemacs-info
This package contains all info files for XEmacs. All these files can be
read online with XEmacs and describe XEmacs and some of its modes.

%prep
%ifarch ia64
# ia64 has different memory laylout then x86 or x86_64 have!
%global pdump_broken 1
%endif
# Currently XEmacs is not fully usable for Xfreetype support
# therefore we use XFontSet support:
%{!?enable_xfs:%global enable_xfs 1}
%{!?pdump_broken:%global pdump_broken 0}
%{!?kkcc_broken:%global kkcc_broken 0}
%if ! %enable_xfs
echo Use xft, requires X11, Xft, Xrender, freetype, and fontconfig support.
%else
echo Use xfs, that is XFontSet support for internationalized menubar.
%endif
%setup -q
%patch -P 3 -p1
%patch -P 18 -p0 -b .xevent
%patch -P 20 -p1
%patch -P 23 -p1
%patch -P 27 -p1 -b .lvl3
%patch -P 28 -p1 -b .movemail
%patch -P 32 -p1
%patch -P 33 -p1
%patch -P 39 -p0
%patch -P 43 -p1
%patch -P 45 -p0
%patch -P 50 -p1
%if ! %enable_xfs
%patch -P 51 -p0
%patch -P 52 -p0
%endif
%patch -P 53 -p0
%patch -P 54 -p0
%patch -P 56 -p1
%patch -P 292811 -p1
%patch -P 301352 -p1
%patch -P 57 -p0
%patch -P 58 -p0
%patch -P 59 -p1
%patch -P 60 -p0
%patch -P 61 -p0
%patch -P 62 -p0
%patch -P 63 -p0
%patch -P 0 -p1
find lisp/ etc/ -name '*.elc' | xargs -r rm -f
find . -name CVS -type d | xargs rm -rf
find . -name .cvsignore -type f | xargs rm -f
chmod -R u+w *
# Without making the timestamps equal here, some files will not be
# byte compiled:
find . | xargs touch -r .

# make sure that the binaries work (pagesize on build must be the same as on target, bnc#726769)
%if 0%{?suse_version} >= 1110
%ifarch ppc ppc64 ia64
%if %(getconf PAGESIZE) != 65536
%error "Error: wrong build host, PAGESIZE must be 65536"
exit 1
%endif
%endif
%endif
%patch -P 64 -p1
%patch -P 65 -p1

%build
  cflags ()
  {
      local flag=$1; shift
      local var=$1; shift
      test -n "${flag}" -a -n "${var}" || return
      case "${!var}" in
      *${flag}*) return
      esac
      set -o noclobber
      case "$flag" in
      -Wl,*)
	  if echo 'int main () { return 0; }' | \
	      ${CC:-gcc} -Werror $flag -o /dev/null -xc ldtest.c > /dev/null 2>&1 ; then
	      eval $var=\${$var:+\$$var\ }$flag
	  fi
	  ;;
      *)
	  if ${CC:-gcc} -Werror $flag -S -o /dev/null -xc /dev/null > /dev/null 2>&1 ; then
	      eval $var=\${$var:+\$$var\ }$flag
	  fi
      esac
      set +o noclobber
  }

# libtoolize --force
# autoreconf --force --install --verbose
# rm configure
autoconf --force
VERSION=%{version}
  SHARE=/usr/share
    LIB=/usr/lib
    SYS=${RPM_ARCH}-suse-linux
%ifarch %ix86
    cflags -fprefetch-loop-arrays LOOP
    cflags -funroll-loops         LOOP
%endif
    cflags -Wno-unused-but-set-variable RPM_OPT_FLAGS
    cflags -Wno-unused-value            RPM_OPT_FLAGS
    cflags -Wno-switch                  RPM_OPT_FLAGS
    cflags -fno-strict-aliasing         RPM_OPT_FLAGS
   INFO=${SHARE}/xemacs/info
LIBEXEC=${LIB}/xemacs/${VERSION}
   ARCH=${LIBEXEC}/${SYS}
   DATA=${SHARE}
   LISP=${DATA}/xemacs/${VERSION}/lisp
    ETC=${DATA}/xemacs/${VERSION}/etc
    MOD=${ARCH}/modules
  STATE=/var/lib/xemacs
    MAN=/usr/share/man/man1
 CFLAGS="-Wall ${RPM_OPT_FLAGS} -pipe ${LOOP} -DLDAP_DEPRECATED -fpermissive"
%ifarch s390x
 CFLAGS="$CFLAGS -O1"
%endif
# To to the menu translations, add:
# $CFLAGS="$CFLAGS -DPRINT_XLWMENU_RESOURCE_CONVERSIONS "
# this prints the Xresources used for the Menus to stdout
# when the Menus are used.
#
# Maybe there are emacs and xemacs on the
# same system, therefore put binaries into /usr/X11R6/bin
#
PREFIX="--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=%{xbindir} \
	--datadir=${SHARE} \
	--with-archlibdir=${ARCH} \
	--with-docdir=${ARCH} \
	--with-lispdir=${LISP} \
	--with-etcdir=${ETC} \
	--with-statedir=${STATE} \
	--with-moduledir=${MOD} \
	--infodir=${INFO} \
	--mandir=${MAN} \
"
#
# --with-sound=both requires NAS (Network Audio System)
#
# --with-socks and --with-term needs some nonexisting libs
#                              (maybe included in {g}libc)
# --with-tooltalk needs tt_c.h
# --with-canna needs X11 canna support
# --with-wnn needs X11 wnn support
#
# We need site-lisp because the long time (x)emacs users
# expect something like this.
#
#  --with-system-malloc only for libc.5.4.3x and higher
#
#  when using "--rel-alloc, XEmacs 21.5.18 crashes often when using
#  'compile-goto-error'.
SPECIAL="--with-database=berkdb,gdbm \
	 --with-ncurses \
	 --with-tty=yes \
	 --with-site-lisp \
%if %kkcc_broken
	 --disable-kkcc \
%endif
%if 0%{?suse_version} > 1320
	 --with-system-malloc \
%endif
%ifnarch s390
	 --enable-sound=native \
	 --with-gpm \
%else
	 --with-sound=nonative,alsa \
%endif
%if %pdump_broken
	 --without-pdump \
%endif
"
#
#  * --with-xfs Compile with XFontSet support for bilingual menubar.
#               Can't use this option with --with-xim=motif or xlib.
#               And should have --with-menubars=lucid.
#               (this is necessary to get German, French, Japanese
#               and Romanian texts in the menus.
#
FONTS="\
%if %enable_xfs
	 --with-xfs \
%else
	 --with-xft=all \
%endif
"
#
# Graphics and X window system
#  * --with-cde needs Motif
#
X11="--with-xpm \
     --with-gif \
     --with-tiff \
     --with-jpeg \
     --with-png \
     --with-x \
     --with-athena=3d \
     --with-menubars=lucid \
     --with-widgets=athena \
     --with-dialogs=athena \
     --with-scrollbars=lucid \
     --x-includes=%{xincludes} \
     --x-libraries=%{xlibraries} \
     --with-xim=xlib \
"
#
# Mail
#  * --mail-locking should be self detected
#  * --with-xface requires compface library
#
MAIL="--enable-clash-detection \
      --with-ldap \
      --with-pop
"
#
# Mule
#
MULE="--with-mule"
#
# Compilation
#
COMP="--with-gcc \
      --with-dynamic \
      --with-debug \
      --enable-error-checking=none \
      --with-cflags=\"${CFLAGS}\" \
"
eval ./configure $SYS $COMP $PREFIX $SPECIAL $X11 $MULE $FONTS $MAIL
if grep -q _DEFAULT_SOURCE /usr/include/features.h ; then
    sed -ri '/^(#[[:blank:]]*define[[:blank:]]+_(BSD|SVID)_SOURCE)/{
	s/_BSD_SOURCE/_DEFAULT_SOURCE/
	s/_SVID_SOURCE/_DEFAULT_SOURCE/
    }' src/config.h
fi
make %{?_smp_mflags}

%install
set +o posix
#
mkdir -p %{buildroot}%{_datadir}/xemacs/site-lisp/lisp
mkdir -p %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term
%if %{with lock}
mkdir -p %{buildroot}%{_localstatedir}/lib/xemacs/lock
chmod 1777 %{buildroot}%{_localstatedir}/lib/xemacs/lock
%endif
make install DESTDIR=%{buildroot}
mv %{buildroot}%{xbindir}/xemacs-21.?-??? %{buildroot}%{xbindir}/xemacs
# fix up the load-history to make it possible to use find-function
# on functions which are in dumped lisp files, even if XEmacs was not
# dumped at the place where it is finally running.
#
# Suggested by Jeff Mincy <jeff@delphioutpost.com>, see:
#
# http://list-archive.xemacs.org/xemacs-design/200204/msg00365.html
#
# Test whether this works by evaluating (find-function 'next-line)
#
install -m 644 %{_sourcedir}/fix-load-history.el \
               %{buildroot}%{_datadir}/xemacs/site-packages/lisp/
rm -rf %{buildroot}%{_datadir}/xemacs/%{version}/src/
rm -rf %{buildroot}%{_datadir}/xemacs/%{version}/lib-src/
rm -f  %{buildroot}%{_datadir}/xemacs/%{version}/Installation
######################################################################
test -L %{buildroot}%{xbindir}/xemacs && \
    rm  %{buildroot}%{xbindir}/xemacs
ver=%{version}
test -x %{buildroot}%{xbindir}/xemacs-${ver%%.*}-b${ver##*.} && \
    mv  %{buildroot}%{xbindir}/xemacs-${ver%%.*}-b${ver##*.} %{buildroot}%{xbindir}/xemacs
chmod 755 %{buildroot}%{xbindir}/xemacs
rm -f %{buildroot}%{xbindir}/xemacs-script
rm -rf %{buildroot}%{_datadir}/xemacs/%{version}/etc/tests
for f in %{buildroot}%{_prefix}/man/man1/*.1 \
         %{buildroot}%{_mandir}/man1/*.1 \
	 %{buildroot}%{_datadir}/xemacs/info/*info* \
	 %{buildroot}%{_datadir}/xemacs/%{version}/etc/*.1 \
	 %{buildroot}%{_datadir}/xemacs/%{version}/etc/mule/*.1
do
    test "${f##*.}" = "gz" && continue
    test -e $f || continue
    gzip -9nf $f
done
find %{buildroot}%{_datadir}/xemacs/%{version}/ -name '*.orig'     | xargs -r rm -f
find %{buildroot}%{_datadir}/xemacs/%{version}/ -name '*.el.ediff' | xargs -r rm -f
find %{buildroot}%{_datadir}/xemacs/%{version}/ -name '*.el.vm'    | xargs -r rm -f
# ctags and etags are part of the ctags package
# b2m and rcs-checkin are in the emacs package.
# As all binaries are in /usr/bin/ with X11R7, xemacs would conflict
# with emacs if xemacs packaged b2m and rcs-checkin as well.
# Therefore we remove them from the xemacs package here.
# They are rarely needed anyway.
rm -f %{buildroot}%{xbindir}/ctags \
      %{buildroot}%{xbindir}/etags \
      %{buildroot}%{xbindir}/b2m \
      %{buildroot}%{xbindir}/rcs-checkin \
      %{buildroot}%{_mandir}/man1/ctags.1.gz \
      %{buildroot}%{_mandir}/man1/etags.1.gz \
      %{buildroot}%{_datadir}/xemacs/%{version}/etc/ctags.1.gz \
      %{buildroot}%{_datadir}/xemacs/%{version}/etc/etags.1.gz
# Some .elc's are not needed:
find  %{buildroot}%{_datadir}/xemacs/ -name '_pkg.elc'   | xargs -r rm -f
find  %{buildroot}%{_datadir}/xemacs/ -name 'auto-autoloads.el?' | xargs -r rm -f
find  %{buildroot}%{_prefix}/lib/xemacs/   -name 'auto-autoloads.el?' | xargs -r rm -f
rm -f %{buildroot}%{_datadir}/xemacs/%{version}/lisp/default.elc
rm -f %{buildroot}%{_datadir}/xemacs/%{version}/lisp/vm/vm.elc
#if test -e /usr/share/xemacs/%{version}/lisp/xpm-button.el -a \
#	-e /usr/share/xemacs/%{version}/lisp/xemacs-base/xpm-button.el
#then
#      rm -f /usr/share/xemacs/%{version}/lisp/xpm-button.el
#      rm -f /usr/share/xemacs/%{version}/lisp/xpm-button.elc
#fi
# no .origs
rm -f %{buildroot}%{_datadir}/xemacs/info/xemacs-faq.info.orig*
#
# Make TUTORIAL's visible
for t in %{buildroot}%{_datadir}/xemacs/%{version}/etc/mule/TUTORIAL.* ; do
      test -e $t || break
      test -e %{buildroot}%{_datadir}/xemacs/%{version}/etc/${t##*/} && rm -f $t
      test -e $t && mv $t %{buildroot}%{_datadir}/xemacs/%{version}/etc/${t##*/}
done
# install the standard app-defaults file used for all languages
# which don't have their own app-defaults file above:
mkdir -p %{buildroot}%{appdefdir}/app-defaults/
install -m 644 etc/Emacs.ad %{buildroot}%{appdefdir}/app-defaults/XEmacs
# SuSE extension
install -m 0644 %{_sourcedir}/site-start.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/
install -m 0644 %{_sourcedir}/suse-xft-init.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/
install -m 0644 site-packages/lisp/term/func-keys.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/linux.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/xterm.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/gnome.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term/
install -m 0644 site-packages/lisp/term/kvt.el   %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term/
./src/xemacs -batch -no-site-file -vanilla -f batch-byte-compile %{buildroot}%{_datadir}/xemacs/site-packages/lisp/term/*.el
mkdir -p %{buildroot}/%{_docdir}/xemacs
install -m 0644 suse/README.SUSE %{buildroot}/%{_docdir}/xemacs/README.SUSE
ln -sf  /usr/share/xemacs/%{version}/etc %{buildroot}/%{_docdir}/xemacs/etc
mkdir -p %{buildroot}%{_sysconfdir}/skel/.xemacs
install -m 0644 %{_sourcedir}/skel.init.el %{buildroot}%{_sysconfdir}/skel/.xemacs/init.el
%fdupes -s %{buildroot}%{_datadir}
#
# replace buildroot in comments in .elc files by spaces with the same total length:
REPLACEMENT=$(echo %{buildroot} | tr '[:print:]' ' ')
for i in $(find %{buildroot} -name "*.elc")
do
    perl -pi -e "s|(;;; from file )%{buildroot}(/usr/share/xemacs/.*)|\1$REPLACEMENT\2|" $i
done
#
# gzip .el files: (doesn't completely work for me yet -> later)
#for i in $(find %{buildroot} -name "*.el")
#do
#    gzip --best $i
#done
#
( find %{buildroot} \
       \( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \) -o \
       \( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) ;  \
  find %{buildroot}%{_datadir}/xemacs/ %{buildroot}%{_prefix}/lib/xemacs/ -type f -o -type l )     |  \
       grep -v "/usr/share/xemacs/%{version}/etc" | \
       sort -t /| uniq | perl -p -e "s|%{buildroot}||" > xe-list
./src/xemacs -batch -no-site-file -l %{_sourcedir}/xe-list.el -f xe-list-generate-list-files
cat xe-list-el-without-elc xe-list-elc-without-el xe-list-elc-with-el \
    >> xe-list-el-without-elc_xe-list-elc-without-el_xe-list-elc-with-el
##
# install desktop file
%suse_update_desktop_file -i xemacs TextEditor Utility
##
# do no include header files because RPMLINT complains about header files in non-devel
# packages:
rm -rf %{buildroot}%{_prefix}/lib/xemacs/%{version}/*-suse-linux/include/

%if %{with lock}
%if %{defined verify_permissions}
%verifyscript
%verify_permissions -e /var/lib/xemacs/lock
%endif

%if %{defined set_permissions}

%post
%set_permissions /var/lib/xemacs/lock
%endif
%endif

%files -f xe-list-el-without-elc_xe-list-elc-without-el_xe-list-elc-with-el
%defattr(-,root,root)
%dir %{_sysconfdir}/skel/.xemacs
%config %{_sysconfdir}/skel/.xemacs/init.el
%{_datadir}/applications/xemacs.desktop
%{_datadir}/pixmaps/xemacs.png
%{xbindir}/ellcc
%{xbindir}/gnuattach
%{xbindir}/gnuclient
%{xbindir}/gnudoit
%{xbindir}/ootags
%verify(not mode) %{xbindir}/xemacs
%if %pdump_broken
%{xbindir}/xemacs*.dmp
%endif
%{appdefdir}/app-defaults/XEmacs
%dir %{_prefix}/lib/xemacs
%dir %{_prefix}/lib/xemacs/%{version}
%dir %{_prefix}/lib/xemacs/%{version}/*-suse-linux/
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/DOC
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/add-big-package.sh
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/config.values
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/cvtmail
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/digest-doc
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/fakemail
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/gnuserv
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/gzip-el.sh
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/hexl
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/make-docfile
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/mmencode
%dir %{_prefix}/lib/xemacs/%{version}/*-suse-linux/modules/
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/modules/*.ell
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/movemail
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/profile
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/rcs2log
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/sorted-doc
%{_prefix}/lib/xemacs/%{version}/*-suse-linux/vcdiff
%dir %{_prefix}/lib/xemacs/site-modules/
%dir %{_docdir}/xemacs/
%doc %{_docdir}/xemacs/README.SUSE
%{_docdir}/xemacs/etc
%doc %{_mandir}/man1/gnuattach.1.gz
%doc %{_mandir}/man1/gnuclient.1.gz
%doc %{_mandir}/man1/gnudoit.1.gz
%doc %{_mandir}/man1/gnuserv.1.gz
%doc %{_mandir}/man1/xemacs.1.gz
%dir %{_datadir}/xemacs/
%dir %{_datadir}/xemacs/%{version}/
%dir %{_datadir}/xemacs/%{version}/etc/
%{_datadir}/xemacs/%{version}/etc/*
%dir %{_datadir}/xemacs/%{version}/lisp/
%doc %{_datadir}/xemacs/%{version}/lisp/ChangeLog*
%doc %{_datadir}/xemacs/%{version}/lisp/README
%dir %{_datadir}/xemacs/%{version}/lisp/mule/
%doc %{_datadir}/xemacs/%{version}/lisp/mule/mule-locale.txt
%dir %{_datadir}/xemacs/%{version}/lisp/term
%doc %{_datadir}/xemacs/%{version}/lisp/term/README
%dir %{_datadir}/xemacs/site-packages/
%dir %{_datadir}/xemacs/site-packages/lisp/
%dir %{_datadir}/xemacs/site-packages/lisp/term/
%dir %{_datadir}/xemacs/site-lisp/
%dir %{_datadir}/xemacs/site-lisp/lisp/
%if %{with lock}
%dir %{_localstatedir}/lib/xemacs/
%dir %verify(not mode group) %attr(1775,root,trusted) /var/lib/xemacs/lock
%endif

%files       -n xemacs-info
%defattr(-,root,root)
%dir %{_datadir}/xemacs/
%dir %{_datadir}/xemacs/info/
%doc %{_datadir}/xemacs/info/*

%files       -n xemacs-el -f xe-list-el-with-elc
%defattr(-,root,root)
%dir %{_datadir}/xemacs/
%dir %{_datadir}/xemacs/%{version}/lisp/
%dir %{_datadir}/xemacs/%{version}/lisp/mule/
%dir %{_datadir}/xemacs/%{version}/lisp/term/
%dir %{_datadir}/xemacs/site-packages/
%dir %{_datadir}/xemacs/site-packages/lisp/
%dir %{_datadir}/xemacs/site-packages/lisp/term/

%changelog
* Thu Sep 19 2024 Dr. Werner Fink <werner@suse.de>
- Use -fpermissive as compiler option
* Wed Jul  3 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Drop dependency on fwnndev: fwnn is dead and unmaintained.
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Dec 27 2023 Bernhard Wiedemann <bwiedemann@suse.de>
- Add reproducible.patch to make ,elc files deterministic
  (boo#1084909, boo#1047218)
* Sat Jan 14 2023 Bernhard Wiedemann <bwiedemann@suse.com>
- Add xemacs-21.5.34-fix2038.patch to fix buffers after year 2038
* Mon Aug  8 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Drop canna support: canna has not been maintained for a long time
  and sec issues are not being addressed (bsc#1199280).
* Fri Oct  9 2020 Dr. Werner Fink <werner@suse.de>
- Add patch xemacs-21.5.34-strsignal.patch as sys_siglist is deprecated
* Tue Sep 29 2020 Cliff Zhao <qzhao@suse.com>
- Update xemacs.spec: change source URL since the old is deprecated
  Make xemacs can build successfuly.
* Mon Aug 17 2020 Dr. Werner Fink <werner@suse.de>
- Require par at build time
* Thu Aug 13 2020 Dr. Werner Fink <werner@suse.de>
- Add patch xemacs-libX11-boo1175028.patch as a try to fix also boo#1175028
* Tue Apr  7 2020 Dr. Werner Fink <werner@suse.de>
- Require info and mkeinfo at build time
* Thu Nov  8 2018 Dr. Werner Fink <werner@suse.de>
- Add patch xemacs-21.5.34-boo1115177.patch to avoid possible
  race within build dependencies (boo#1115177)
* Thu Dec 28 2017 crrodriguez@opensuse.org
- Remove BuildRequires on xorg-x11 metapackages. Use
  only the required libraries instead.
* Thu Jun 29 2017 bwiedemann@suse.com
- use gzip -n to not add timestamps to .gz headers
- use %%fdupes macro to create symlinks in a reproducible way
* Sat May  6 2017 meissner@suse.com
- Global PIE project: Disable PIE support currently, (x)emacs
  unique binary build/launch method make this hard.
* Mon Mar 20 2017 werner@suse.de
- Add patch xemacs-21.5.34-sbrk.patch to avoid redefinition of sbrk
* Fri Nov 27 2015 werner@suse.de
- Add patch xemacs-21.5.34-alsaplay.patch to wait on pcm handle
* Fri Nov 27 2015 werner@suse.de
- Change encoding order in application defaults of xemacs and
  xemacs-packages to avoid breakdown of FontSet scheme of libX11
  at startup (bsc#952361)
* Mon Jul 13 2015 werner@suse.de
- Avoid error on not existing custom.el
* Fri Jul 10 2015 werner@suse.de
- Add patch xemacs-21.5.34-custom-fonts.patch to be able to apply
  any custom font/face change at startup (bsc#932321)
* Tue Jun 23 2015 schwab@suse.de
- xemacs-21.5.34-gcc5.patch: Define max_align_t only for C < 11
* Fri Jun 19 2015 werner@suse.de
- Add patch xemacs-21.5.34-gcc5.patch as Gcc 5 use type max_align_t
  instead of _max_align_t
* Fri Jun 19 2015 werner@suse.de
- Modify patch xemacs.patch to make open(2) work with O_CREAT
* Tue May 12 2015 werner@suse.de
- Update patch xemacs-21.5.34-Xaw3D_I18N.patch from upstream for
  xemacs-21.5.34
* Tue May 12 2015 werner@suse.de
- Add patch xemacs-21.5.34-Xaw3D_I18N.patch to fix bsc#930170 with
  xemacs segmentation fault on syntax highlighting
* Tue Feb 10 2015 werner@suse.de
- Correct some load paths
- Set progress-feedback-use-echo-area to true to allow some modes
  like C-mode and TeX-mode to write messages (boo#905625 and bdc#902003)
* Sat Aug  9 2014 i@marguerite.su
- Add xemacs-rpmlintrc to SOURCE90
* Fri Aug  8 2014 fcrozat@suse.com
- Add Utility category to .desktop file.
* Fri Aug 23 2013 ailin.nemui@gmail.com
- XEmacs version 21.5.24 "kale" got released
  * see http://list-archive.xemacs.org/pipermail/xemacs-beta/2013-August/024401.html
* Tue Jul 23 2013 ailin.nemui@gmail.com
- remove incorrect patch which breaks XEmacs/wnn introduced by
  request 123104 (fix crashbug bnc#830221)
* Sun Jan  6 2013 ailin.nemui@gmail.com
- update to beta version 21.5.33 "horseradish".
  * see http://www.xemacs.org/Releases/21.5.33.html
* Wed Oct 10 2012 werner@suse.de
- Make sure that some fonts are found
* Mon Oct  1 2012 werner@suse.de
- ia64 memeory layout is definitly not comparable with i86 nor x86_64
* Tue Aug 14 2012 i@marguerite.su
- fix mis-cleaned stuff by spec-cleaner.
* Sat Aug 11 2012 i@marguerite.su
- removed patch22 destdir.patch
  * too old, no longer works.
  * the removal doesn't even affect the final RPM at all.
- update License to GPL-3.0+
  * upstream update its license.
- reopen "export CFLAGS LDFAGS".
  * nemui's request miscomment it. because it has values, not empty.
- remove miss-added conditional tags.
  * nemui said it's used for pdump = 0, but pdump never got enabled at all.
- re-enable COMP --with-gcc.
- spec-clean
- find a wiser and easier way to solve the OBS dump segmentation error.
  * just enable pdump and dump_in_exec by set them to 1.
* Wed Aug  8 2012 i@marguerite.su
- update to beta version 21.5.32 "habanero".
  * see http://www.xemacs.org/Releases/21.5.32.html
- regenerated patch with latest source.
- fix spec file, whose build result will cause a sys fault.
  * see https://build.opensuse.org/request/show/129964 for desc.
* Thu Jun 14 2012 dmueller@suse.com
- disable kkcc on arm as well
* Thu May 31 2012 werner@suse.de
- Fix compiler warnings
* Thu May 31 2012 werner@suse.de
- Make /var/lib/xemacs/lock/ optional (bnc#764887)
* Wed May 30 2012 werner@suse.de
- Hard coded attributes for /var/lib/xemacs/lock/
* Fri May 25 2012 werner@suse.de
- Job creation scheme (bnc#764122)
* Fri Mar  2 2012 werner@suse.de
- Update to beta version XEmacs 21.5.31 "ginger"
  * this includes 138 fixes including 9 crashes
  * this includes 110 improvments
  * also include some of our own patches
* Wed Feb  8 2012 werner@suse.de
- Make it build again
* Wed Feb  8 2012 coolo@suse.com
- build also against libjpeg-devel to fix Xaw3d support
* Fri Jan  6 2012 pgajdos@suse.com
- build also against libpng15
  * libpng15.patch
* Wed Jan  4 2012 dmueller@suse.de
- rebuild for ppc64 and ia64 (bnc#726769)
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Tue Nov 22 2011 werner@suse.de
- Add patch to use libtinfo if available
* Fri Jun  3 2011 coolo@novell.com
- fix runtime requires for real
* Tue May 31 2011 coolo@novell.com
- require gpm at runtime
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Sep  7 2010 aj@suse.de
- BuildRequire gpm-devel
* Wed Mar 31 2010 werner@suse.de
- Change version scheme to allow zypper to install newer test
  version (bnc#590429)
* Tue Feb  9 2010 prusnak@suse.cz
- build -el and -info as noarch subpackages
* Fri Dec  4 2009 werner@suse.de
- Add patches from upstream to fix bnc#558764 (thenk you Stephen)
- Update to beta version 21.5.b604d235f028 to fix bug bnc#558764
  * lot of changes to make XFontSet work
* Tue Aug 25 2009 aj@suse.de
- Use "--disable-mc-alloc --disable-kkcc --disable-newgc" on
  x86-64 architecture as well.
* Thu Jul 23 2009 werner@suse.de
- Add patch for security issue bnc#522586 about multiple integer
  overflows during parings large images
* Wed Jul 15 2009 werner@suse.de
- Make XFS the default
* Wed Jun 24 2009 werner@suse.de
- Disable XFT for now as it does not work well (bnc#502716)
* Tue Jun 16 2009 coolo@novell.com
- update to beta29 (http://xemacs.org/Releases/21.5.29.html)
  no too many changes since the cvs snapshot
- remove patches that went upstream (or where taken from there)
- disable pdump for now
* Mon Feb 23 2009 maiku.fabian@gmail.com
- add menus-always-utf8.patch to make the menus work in UTF-8
  locales with Xft. The patch is not yet perfect, it doesn't yet
  work for the non-Xft case.
- disable the hack in site-start.el to support extra Unicode
  characters. Something similar has been implemented upstream
  and this hack now causes problems when trying to attach some PDF
  files in Gnus.
- mark /etc/skel/.xemacs/init.el as %%config.
- remove checks for obsolte suse versions.
- set font resources for Xft in /usr/share/X11/app-defaults/XEmacs:
  XEmacs*Tabs.fcFontName: sans-serif
  XEmacs*menubar.fcFontName: sans-serif
  XEmacs*modeline.attributeFont: sans-serif
  XEmacs*default.attributeFont: sans-serif
* Tue Jan 20 2009 mfabian@suse.de
- bnc#461244: change menu font set in app-defaults
  to use only -*-helvetica-*. This avoids matching the huge Chinese
  font from ifntchib by accidents. Languages which need a wider
  coverage of glyphs than offered by the adobe-helvetica bitmap
  fonts have their own translated app-defaults in "xemacs-packages"
  anyway.
* Thu Dec  4 2008 mfabian@suse.de
- bnc#450838: make generic-print-buffer work again. Patch by
  Aidan Kehoe from upstream, see
  http://article.gmane.org/gmane.emacs.xemacs.patches/9411
* Wed Oct 29 2008 mfabian@suse.de
- bnc#432404 (XEmacs crashes on loading byte compiled .gnus.elc):
  prevent latin-unity from fiddling with the coding system when
  byte compiled files are written. Fix from upstream by
  Stephen J. Turnbull, see
  http://tracker.xemacs.org/XEmacs/its/issue405
* Wed Aug 20 2008 mfabian@suse.de
- bnc#418055: check coding-system-category before trying to use
  pefer-coding-system, if coding-system-category is nil the
  coding-system is no-conversion or undecided and prefer-coding
  system would fail.
* Mon Jun 30 2008 schwab@suse.de
- Fix broken use of autoconf internal macros.
* Mon Apr 28 2008 mfabian@suse.de
- add fix-window-configuration-problem.patch
  (see http://article.gmane.org/gmane.emacs.xemacs.beta/27797)
* Tue Apr  1 2008 mfabian@suse.de
- update to 21.5.28.20080401 to fix the problem reported here:
  http://article.gmane.org/gmane.emacs.xemacs.beta/26999/match=zawinski+save+window+excursion+broken
- use Mercurial repository instead of CVS now.
- remove byte-comp-problem.patch, was from upstream CVS.
- remove bugzilla-358333-kde-font-lock-problem.patch, now included.
- bnc#373930: add 16 pixel Chinese font which is always installed
  to the fontSet in the app-defaults to avoid that huge Chinese
  fonts like cc40s.pcf.gz and cc48s.pcf.gz are matched first and
  destroy the line spacing in the menus.
* Wed Mar 12 2008 schwab@suse.de
- Fix configure check for Xaw3d.
* Mon Feb  4 2008 mfabian@suse.de
- bnc#358333: fix bugs in font-lock-add-keywords and
  font-lock-remove-keywords which caused severe problems when
  trying to use the kde-emacs lisp files to better support editing
  KDE source code:
  svn://anonsvn.kde.org/home/kde/trunk/KDE/kdesdk/scripts/kde-emacs
* Sat Jan 19 2008 mfabian@suse.de
- update to 21.5.28.20080119 (fixes bugzilla #354705).
* Mon Jan 14 2008 mfabian@suse.de
- update to 21.5.28.20080107.
- add byte-comp-problem.patch by Aidan Kehoe from
  http://hg.debian.org/hg/xemacs/xemacs?cs=e8f448f997ac
  to fix bugzilla #352331.
* Wed Jan  2 2008 mfabian@suse.de
- Bugzilla #350554: fix a serious bug in the last change.
* Fri Dec 21 2007 mfabian@suse.de
- some more hacks in the Xft font setup.
* Fri Dec 21 2007 mfabian@suse.de
- improve Xft font setup hacks: clear all settings first when
  trying to set new fonts for all faces.
* Thu Dec 20 2007 ro@suse.de
- update to CVS of 20071220
- deleted bugzilla-294746-support-windows-1252.patch (upstream)
* Fri Dec 14 2007 ro@suse.de
- move /etc/skel/.xemacs/init.el to this package
* Wed Dec  5 2007 mfabian@suse.de
- remove openldap2 from BuildRequires.
* Tue Sep  4 2007 mfabian@suse.de
- Bugzilla #307313: use (mwheel-install) to enable mouse wheel
  support and remove the old hacks for mouse wheel support from
  /usr/share/xemacs/site-packages/lisp/term/func-keys.el.
* Mon Aug 27 2007 mfabian@suse.de
- Bugzilla #299941: don’t use the obsolete GNU Emacs icon, use
  an XEmacs specific icon instead.
* Tue Aug 21 2007 mfabian@suse.de
- Bugzilla #301352: fix wrong incrementing in macros in mule-ccl.c.
* Tue Aug  7 2007 mfabian@suse.de
- update to 21.5.28.20070807.
- remove w3-xft-problem.patch (included now).
- UTF-8 and UTF-16 handling is now more robust, for example
  when a non-UTF-8 file is opened as UTF-8, one change made,
  and immediately saved, the non-ASCII characters are not
  corrupted.
* Fri Aug  3 2007 mfabian@suse.de
- update to 21.5.28.20070803.
- add patch by Aidan Kehoe to make ‘w3’ work in an Xft build
  (see http://thread.gmane.org/gmane.emacs.xemacs.beta/25191).
* Wed Aug  1 2007 mfabian@suse.de
- fix build of xemacs-packages
- add missing UTF-8 language environments in site-start.el
- add set-language-unicode-precedence-list.patch to improve
  the unicode precedence mapping. Nevertheless it is still
  necessary to call ‘set-language-unicode-precedence-list’
  in site-start.el because the call to this function
  in startup.el to get '”' U+201D (RIGHT DOUBLE QUOTATION MARK)
  treated as single width overrides the call to that function
  from the setup of the language environment.
  But at least changing language enviromnents later doesn't
  mess up the precedence list any more.
* Mon Jul 30 2007 mfabian@suse.de
- update to 21.5.28.20070730
- remove bugzilla-293109-w3m-el-under-xemacs-cannot-display-utf-8-encoded-web-pages-containing-fffd.patch
  (included upstream).
- set language-unicode-precedence-list in startup.el to get
  characters like '”' U+201D (RIGHT DOUBLE QUOTATION MARK)
  treated as single width consistently.
* Thu Jul 26 2007 mfabian@suse.de
- Bugzilla #294746: update to 21.5.28.20070726 to
  get support for windows-1252 encoding.
- remove xemacs-vendor.path (included upstream).
* Wed Jul 25 2007 mfabian@suse.de
- Bugzilla #293109: map the problematic characters in Big5 to
  the private use area instead of not mapping them at all.
* Fri Jul 20 2007 mfabian@suse.de
- Bugzilla #293109: don't map U+FFFD to Big5 to make it display
  correctly.
* Wed Jul 18 2007 mfabian@suse.de
- Bugzilla #292811: make the function 'x-make-font-bold-italic-xft'
  work.
* Wed Jul 18 2007 mfabian@suse.de
- fix the hack in fix-load-history.el to fix the load history
  which made it possible to use find-function on functions which
  are in dumped lisp files, even if XEmacs was not dumped at the
  place where it is finally running. This hack stopped working
  because the variable 'build-history' now exists already
  and therefore the 'defvar' in fix-load-history failed to set
  its value. Renamed the variable to suse-build-directory.
* Mon Jul 16 2007 mfabian@suse.de
- enable Xft only for openSUSE >= 10.2.
* Fri Jul 13 2007 mfabian@suse.de
- enable the use of Xft if XEmacs is built in the openSUSE
  build service (keep using X11 core fonts when XEmacs is built
  in autobuild).
- add some suse-xft-init.el to do some default Xft font setup.
* Thu Jul 12 2007 mfabian@suse.de
- add "Conflicts: gnuserv" (XEmacs already has it's own version
  of gnuserv).
* Fri Jul  6 2007 coolo@suse.de
- fixing the file list
* Thu Jul  5 2007 coolo@suse.de
- put desktop file and icon into package
* Mon Jun  4 2007 mfabian@suse.de
- Bugzilla #279822: fix typo in site-start.el to make XEmacs
  start properly in Portuguese locale. Thanks to
  Felipe Bugno <necron@bol.com.br> for the fix.
* Fri Jun  1 2007 dmueller@suse.de
- adjust BuildRequires
* Thu May 31 2007 mfabian@suse.de
- update to 21.5.28.
- remove header files to stop RPMLINT complaining about
  header files in non-devel packages.
* Tue May  8 2007 schwab@suse.de
- Repair ia64 configuration.
* Mon May  7 2007 mfabian@suse.de
- update to 21.5.27.20070507. From the CHANGES-beta file:
  • Get X11 window property correctly on 64-bit platforms
    (bugzilla #244613) -- Stephen J. Turnbull, Mike Fabian,
    Takashi Iwai
  • Test for ISO-2022 decoder not choking on invalid UTF-8
  - - Aidan Kehoe
  • Get Unicode tables with permissive license
  - - Stephen J. Turnbull, Mike Fabian (see bug #212630)
- remove xemacs-autoconf.patch (included upstream).
- remove bugzilla-244613-cut-paste-64bit-non-ascii.patch
  (included upstream).
* Mon Mar 26 2007 rguenther@suse.de
- Add gdbm-devel, gpm and ncurses-devel BuildRequires.
* Wed Feb 14 2007 mfabian@suse.de
- Bugzilla #244613: Fix cut & paste problems on 64 bit platforms
  by using XGetWindowProperty() correctly.
* Mon Sep 25 2006 mfabian@suse.de
- Bugzilla #207941: add "texinfo" to BuildRequires.
* Mon Aug  7 2006 mfabian@suse.de
- adapt for Xorg X11R7 (paths changed).
- remove b2m and rcs-checkin to avoid conflict with the emacs
  package when all binaries are in /usr/bin.
* Wed Jul 19 2006 mfabian@suse.de
- update to 21.5.27.20060705
  + remove sentinel.patch (included upstream).
  + remove suppress-warning-about-undefined-unicode-key-mappings.patch
    (obsolete).
  + remove fix-wrong-use-of-memset.patch (included upstream).
* Tue Jul 18 2006 schwab@suse.de
- Fix broken use of autoconf internal macros.
* Wed Jun 14 2006 dmueller@suse.de
- build parallel
* Mon Mar 27 2006 mfabian@suse.de
- update to 21.5.25.20060327 to make xemacs build on x86_64 again,
  and make xemacs-packages build again on ppc64.
* Mon Mar 27 2006 mfabian@suse.de
- fix wrong use of memset.
- use "--disable-mc-alloc --disable-kkcc --disable-newgc" on
  i386 architecture as well.
* Mon Mar  6 2006 mfabian@suse.de
- update to 21.5.25. Fixes:
  + bugzilla #141126 (XEmacs 21.5.24 doesn't read localized
    app-defaults)
  + bugzilla #145121 (XIM doens't work anymore in XEmacs)
  + bugzilla #143515 (XEmacs crashes when loading a UTF-8 encoded
    Japanese file)
- Bugzilla #155506:
  add configure option "--with-canna", the auto-detection of canna
  seems to be broken but when enabling canna explicitly it works.
* Thu Feb 16 2006 mfabian@suse.de
- uninitialized-variables-2.patch, see
  http://list-archive.xemacs.org/xemacs-beta/200602/msg00026.html
* Fri Feb 10 2006 coolo@suse.de
- uncommenting workaround for metacity bug (#suse457777) triggering
  shrinking loop under KDE (#103040)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 27 2005 mfabian@suse.de
- update to 21.5.24.
- remove xemacs-21.5.21-ia64.patch (included upstream).
* Fri Oct  7 2005 mfabian@suse.de
- add option "-no-site-file" when calling xemacs from the
  .spec file (requested by user Dieter Jurzitza). Not necessary
  when building in chroot but it cannot hurt.
* Thu Oct  6 2005 mfabian@suse.de
- add a few directories to the file lists to make sure
  that no empty directories below /usr/share/xemacs remain
  when xemacs, xemacs-el, and xemacs-info are uninstalled.
* Wed Oct  5 2005 werner@suse.de
- Use old LDAP interface
* Mon Sep 19 2005 mfabian@suse.de
- update to 21.5.22.
* Thu Sep  8 2005 mfabian@suse.de
- Bug 115362 - xemacs startup info not disappearing:
  remove X-KDE-WMClass=emacs entry from xemacs.desktop.
* Tue Sep  6 2005 yxu@suse.de
- fixed conflicting type definition
* Tue Aug 16 2005 mfabian@suse.de
- Bugzilla #104973: add --disable-mc-alloc --disable-kkcc
  configure options again because with these options the build
  of "xemacs-packages" fails on x86_64.
* Mon Aug  1 2005 mfabian@suse.de
- bugzilla #98715: xemacs-*.dmp file is needed again because
  'mc-alloc' is used now and it is wasteful to dump into the
  executable when using mc-alloc.
- add extents.c.diffs by Darryl Okahata to fix some crashes
  in the garbage collector on 64 bit systems. See also:
  http://list-archive.xemacs.org/xemacs-beta/200507/msg00346.html
- avoid compiler warnings about uninitalized variables.
* Thu Jul 21 2005 mfabian@suse.de
- update to 21.5.21.20050721.
  + remove --disable-mc-alloc  --disable-kkcc configure options.
* Tue Jul 12 2005 mfabian@suse.de
- update Aidan's keysym-handling patch to latest version.
* Thu Jun 23 2005 mfabian@suse.de
- Bugzilla #77957: support UXXXX keysyms better by applying
  aidan-kehoe-clean-up-keysym-handling.patch instead of the hack
  in site-start.el. Aidan's patch has the advantage that the
  cursor keep working in a terminal even when XEmacs was started
  under X11 and later another frame was opened in a terminal
  with 'gnuclient -nw'. See also:
  http://list-archive.xemacs.org/xemacs-patches/200505/msg00127.html
* Fri Jun 17 2005 mfabian@suse.de
- Improve workaround to support more Unicode characters.
  (more systematic approach which increases the number of
  supported characters a lot).
* Wed Jun 15 2005 mfabian@suse.de
- With the hack to fix Bugzilla #77957 better, the cursor keys
  stop working when xemacs is started in a terminal. Apply that
  hack only when running under X11.
* Mon Jun 13 2005 mfabian@suse.de
- Bugzilla #77957: Better solution, add all keysyms of the type
  UXXXX to the global-map when they are first used.
- suppress warning about "Undefined Unicode key mappings" because
  all of them are defined now.
- Bugzilla #90350: xemacs should not crash when a locale is not
  supported by Xlib. Set locale to C instead and show a warning.
* Thu Jun  9 2005 mfabian@suse.de
- Bugzilla #77957: I forgot to add some characters from U+00A1 to
  U+00FF to preloaded-unicode-key-translations, for example U+00FC
  (LATIN SMALL LETTER U WITH DIAERESIS) was missing. Thanks
  to Reinhard Max <max@suse.de> for reporting.
* Tue Jun  7 2005 mfabian@suse.de
- Bugzilla #87362: "xemacs cannot edit crontabs":
  add do-not-create-backups-in-temp-directories.patch.
* Thu Jun  2 2005 mfabian@suse.de
- update to 21.5.21.
- remove always-load-correct-app-defaults.patch, XEmacs
  uses the application class "XEmacs" by default now.
- update destdir.patch
- use configure options "--disable-mc-alloc" "--disable-kkcc"
  for now, when using the new allocation scheme and the new
  garbage collector, I cannot build XEmacs anymore on x86_64.
* Tue May 17 2005 schwab@suse.de
- Update ia64 patch.
* Fri May 13 2005 mfabian@suse.de
- update to 21.5.20.
- jamie-zawinski-selection-fix.patch, aidan-kehoe-iso8859-16.patch
  not necessary anymore.
* Mon Apr 25 2005 mfabian@suse.de
- add workaround support for more unicode characters,
  especially for those needed for IPA.
* Thu Apr 14 2005 mfabian@suse.de
- Bugzilla #77957: add all characters from U+00A1 to U+00FF to
  preloaded-unicode-key-translations.
* Sun Apr  3 2005 aj@suse.de
- Fix GCC4 sentinel warnings.
* Mon Mar  7 2005 mfabian@suse.de
- add a few more characters to preloaded-unicode-key-translations
  in site-start.el to be able to input all common quotation-marks.
* Fri Mar  4 2005 mfabian@suse.de
-  add workaround to support some Unicode characters which are in
  no legacy charset. See also:
    http://cvs.xemacs.org/viewcvs.cgi/XEmacs/xemacs/src/unicode.c.diff?r1=1.25&r2=1.26
* Wed Mar  2 2005 mfabian@suse.de
- add workaround for input of characters like
  U+201E DOUBLE LOW-9 QUOTATION MARK.
* Thu Feb 17 2005 mfabian@suse.de
- fix cut-and-paste problem when pasting Japanese
  from xpdf to XEmacs. Patch by Jamie Zawinski, slighly adapted
  for XEmacs 21.5.18, see also:
  http://list-archive.xemacs.org/xemacs-beta/200407/msg00158.html
* Sun Feb 13 2005 ro@suse.de
- remove .orig file for xemacs-faq
* Fri Feb 11 2005 mfabian@suse.de
- improve i18n-setup in site-start.el:
  + try to set a useful language-environment by default and
    fix the unicode-precedence-list if it is broken after
    set-language-environment.
  + more encoding setup necessary for XEmacs >= 21.5.6
- add patch from upstream CVS by Aidan Kehoe to support
  iso8859-16 (adds support for characters like
  U+201E DOUBLE LOW-9 QUOTATION MARK)
* Thu Feb 10 2005 mfabian@suse.de
- remove configure option "--rel-alloc" because it makes
  XEmacs 21.5.18 often crash when using 'compile-goto-error'.
* Fri Feb  4 2005 schwab@suse.de
- Fix format string bug in movemail.
* Fri Feb  4 2005 werner@suse.de
- Security fix for movemail applied (bug #50237)
* Tue Feb  1 2005 mfabian@suse.de
- don't use LDFLAGS="-s", otherwise the xemacs-debuginfo package
  will be empty.
- improve fontSet in app-defaults to avoid the warning
  "Missing charsets in String to FontSet conversion".
- remove unused utf8-problem.patch
* Fri Dec 31 2004 mfabian@suse.de
- improve DESTDIR patch.
* Tue Dec 14 2004 werner@suse.de
- Make it build
* Fri Dec 10 2004 mfabian@suse.de
- update to 21.5.18.
- remove xemacs-lim_data.patch (now included).
- include the fixes Werner Fink made for XEmacs 21.4.15
  (see changelog entries below from Tue Sep 28 to Wed Nov 17).
* Wed Nov 17 2004 werner@suse.de
- Add emacs.png pixmap to file list
* Wed Oct 13 2004 werner@suse.de
- Add workaround for XKey modifier detection even if the keys
  are not marked as modifiers (bug #47192)
* Mon Oct  4 2004 werner@suse.de
- Do not break KDE resize back call with GNOME fix (bug #46751)
* Tue Sep 28 2004 werner@suse.de, mfabian@suse.de
- Bugzilla #45777 (xemacs in metacity can not be maximized).
- Bugzilla #46313 (mouse wheel broken in XEmacs).
* Fri Sep 24 2004 mfabian@suse.de
- Bugzilla #46085: move encoding setup code from func-keys.el
  to site-start.el and clean it up a bit. site-start.el is
  * always* read and it is read late enough for the encoding setup,
  there is no need for using hooks when doing this in
  site-start.el.
* Sun Sep  5 2004 schwab@suse.de
- Fix ia64 patch.
* Mon Mar 22 2004 mfabian@suse.de
- Bugzilla: #36720 read correct app-defaults. I.e., *always*
  read /usr/X11R6/lib/app-defaults/XEmacs and never read
  /usr/X11R6/lib/app-defaults/Emacs. Until now, XEmacs did read
  /usr/X11R6/lib/app-defaults/XEmacs if any "XEmacs" resources
  were set in ~/.Xresources, otherwise it did read
  /usr/X11R6/lib/app-defaults/Emacs. But the latter file is
  incompatible to XEmacs and should never be read.
- use -adobe-helvetica-bold-* instead of -gnu-unifont- by default
  for the menus because most users like it better.
* Mon Mar  8 2004 mfabian@suse.de
- adapt Werner's patch for xemacs 21.5.16.
* Mon Mar  8 2004 werner@suse.de
- Make workaround to a real fix: autoconf 2.59 does not accept
  comments after cpp undef macro within config.h.in
* Fri Mar  5 2004 werner@suse.de
- Add workaround for stat64 kernel problem and failing
  (auto)configure sed parser.
* Fri Feb 27 2004 mfabian@suse.de
- don't require 'un-define anymore in the site specific startup
  code, XEmacs >= 21.5.6 has internal Unicode support. Add a
  (provide 'un-define) because a user might have a
  (require 'un-define) in his own startup files.
* Tue Feb 24 2004 mfabian@suse.de
- move site-start.el and other SuSE specific startup files from
  /usr/share/xemacs/%%{version}/site-packages/lisp to
  /usr/share/xemacs/site-packages/lisp because site-start.el
  is not loaded anymore automatically from the old location.
- change 'set-default-coding-systems to
  'set-default-output-coding-systems in func-keys.el, apparently
  this function has been renamed upstream.
* Mon Feb 23 2004 mfabian@suse.de
- update to 21.5.16.
* Sun Feb 22 2004 mfabian@suse.de
- add missing directories to file list of xemacs-el.
  This makes it possible to use "build" instead of
  "build --clean".
* Fri Feb 20 2004 mfabian@suse.de
- add destdir.patch and use buildroot and norootforbuild.
- some cleanup of the .spec file.
* Mon Feb 16 2004 mfabian@suse.de
- disable patch for Bugzilla #34430, it does have nasty side
  effects (xemacs-packages doesn't build anymore because an
  "out of memory" error while byte-compiling Mule-UCS, ...)
- use a better workaround to fix the load-history instead of
  dumping XEmacs twice.
* Fri Feb 13 2004 mfabian@suse.de
- fix Bugzilla #34430 (I hope).
* Wed Feb 11 2004 mfabian@suse.de
- update to 21.4.15.
- use -fno-strict-aliasing
* Wed Jan 21 2004 meissner@suse.de
- ppc64 fully fixed.
* Tue Jan 20 2004 meissner@suse.de
- Fixed ppc linker script, added ppc64 patch from emacs.
  ppc32 working, ppc64 now fails a bit later.
* Mon Nov  3 2003 schwab@suse.de
- Don't use "portable" dumper on ia64.
- Fix permissions.
* Tue Sep  2 2003 werner@suse.de
- Fix the fix: make function keys work again (bug #29654)
* Mon Aug 25 2003 werner@suse.de
- Fix key modifier handling, there is no slot handling
  anymore but every symbol has a type (e.g. Ctr-Alt) (bug #28995)
* Sat Aug 23 2003 mfabian@suse.de
- install desktop file only %%if %%suse_version > 820
  to make it build on older distributions as well.
* Fri Aug 22 2003 mfabian@suse.de
- update to 21.4.13 "Rational FORTRAN".
* Fri Aug 22 2003 mfabian@suse.de
- remove mule-ucs-xemacs and Mule-UCS-xemacs from "Provides:"
  and "Obsoletes:" (moved to xemacs-packages).
* Thu Aug 21 2003 mfabian@suse.de
- split new packages out of xemacs{,-el,-info}:
  xemacs-packages{,-el,-info}
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Fri Jul 25 2003 mfabian@suse.de
- fix race condition when generating the file list.
* Tue Jun 24 2003 ro@suse.de
- added directories to filelist
* Mon Jun 23 2003 ro@suse.de
- fixed filelist
* Thu Mar 13 2003 mfabian@suse.de
- Bug #25300: call 'latin-unity-install' for non-UTF-8 locales in
  site-packages/lisp/term/func-keys.el to write files in
  iso-8859-15 encoding correctly without inserting
  ISO-2022 escape sequences. Don't call it in UTF-8 locales!
  If 'latin-unity-install' is called in a UTF-8 locale,
  the behaviour of the coding systems "binary" and "no-conversion"
  becomes strange, they convert to UTF-8 when writing files
  with German umlauts, which is surprising for "binary".
* Thu Mar  6 2003 kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Fri Feb 28 2003 mfabian@suse.de
- fix Bugzilla #23472:
  generate /usr/share/xemacs/xemacs-packages/info/dir and
  /usr/share/xemacs/mule-packages/info/dir and include them
  in the xemacs-info package.
* Thu Feb 27 2003 mfabian@suse.de
- include latest changes by Ben <ben@xemacs.org> to edebug
  to make it work again. The edebug as included in
  sumo-2003-02-05 doesn't work at all.
- improve Werner's func-keys.el
  (make XIM work right ja_JP.UTF-8 locale, load latin-unity
  and latin-euro-input, append the coding-system setup stuff to
  'before-init-hook instead of adding it at the beginning because
  'mule-init is already in 'before-init-hook)
* Wed Feb 26 2003 werner@suse.de
- Fix coding system settings: use the correct value
* Fri Feb 14 2003 schwab@suse.de
- Fix data limit check.
* Thu Feb  6 2003 mfabian@suse.de
- update packages to sumo-2003-02-05
  (fixes the problem that XEmacs didn't automatically switch
  to c++-mode, perl-mode, etc. anymore. The initial values of
  interpreter-mode-alist and auto-mode-alist are rather short
  now and are dynamically changed when a package is loaded. To
  make this work a sufficiently uptodate Sumo was necessary).
- disable packages-cvs-sumo-2002-09-19-comint.patch again, XEmacs
  shell-mode works better with TERM=emacs and Werner added the
  emacs entry to terminfo again.
- remove hunks which are included upstream from
  packages-cvs-xemacs-sumo-2002-05-22-locale-start.patch
  packages-cvs-sumo-2002-09-19-xslt-process.patch
* Thu Jan 30 2003 mfabian@suse.de
- update to 21.4.12
- add packages-cvs-sumo-2002-09-19-comint.patch:
  (defvar system-suse-terminfo t) to use TERM=dumb by default
  like GNU Emacs does. The previous default was TERM=emacs, which
  doesn't exist in the latest terminfo.
* Mon Dec 16 2002 mfabian@suse.de
- workaround for fontSet problem in app-defaults:
  use "XEmacs*fontSet:" instead of just "*fontSet:" in the
  app-defaults files.
- workaround to avoid dumping the paths to lisp files
  as /usr/src/packages/BUILD/... into the xemacs executable adapted
  for the portable dumper
* Fri Dec 13 2002 mfabian@suse.de
- add /usr/X11R6/bin/xemacs-%%{version}-*.dmp to file list.
* Fri Dec 13 2002 mfabian@suse.de
- update to 21.4.11rc1
- update Sumo to 2002-09-19
- remove parts of packages-cvs-xemacs-sumo-2002-03-29-ps-print.patch
  which are included upstream
- use portable dumper by default
- fix Makefiles of xslt-process
* Thu Dec 12 2002 coolo@suse.de
- use libndbm instead of libgdbm for non-GNU dbm
* Wed Nov 20 2002 schwab@suse.de
- More autoconf fixes.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Aug 19 2002 mfabian@suse.de
- quick and dirty fix to make it build again.
  The Makefile in the 'locale' package lists 3 .elc files with
  the same name in different subdirectories. 'make install'
  tries to copy them all into the same destination directory:
  cp -af {ja,ro,fr}/locale-start.elc \
    /usr/share/xemacs/mule-packages/lisp/locale/
  The 'cp' from latest fileutils cowardly refuses to overwrite
  the Japanese and Romanian versions of locale-start.elc with
  the French version, as it did until now.
  But the files in /usr/share/xemacs/mule-packages/lisp/locale/
  are apparently never read anyway, only the files from
  /usr/share/xemacs/mule-packages/etc/start-files/{ja,ro,fr}/
  are read. Therefore I fixed this temporarily by not building
  any locale-start.elc files which prevents installing anything
  into /usr/share/xemacs/mule-packages/lisp/locale/.
- use the correct encoding for the output of
  'LC_ALL=ja_JP.eucJP xemacs --help',
  'LC_ALL=ja_JP.UTF-8 xemacs --help', and
  'LC_ALL=ja_JP.SJIS xemacs --help'.
- similar problem with 'cp' fixed in mule-ucs package
* Fri Aug 16 2002 mfabian@suse.de
- add packages-cvs-xemacs-sumo-2002-05-22-gnus-5.8.8-utf-8.patch
  to make it possible to send Mails in UTF-8 with Gnus 5.8.8.
* Sun Aug 11 2002 mfabian@suse.de
- change # neededforbuild:
  cannadev -> canna canna-devel canna-libs
* Mon Jul 22 2002 werner@suse.de
- diff-mode: check on hunk even if file diff starts (bug #17035)
* Mon Jul 22 2002 werner@suse.de
- Fix path expansion in apel/install.el of sumo tar ball
- Enable RPM_OPT_FLAGS for SuSE Linux version > 8.0
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 10 2002 mfabian@suse.de
- small improvement in ps-mule.el patch:
  keep hanglm24.bdf as a fallback if gulim24.bdf doesn't exist.
* Wed May 29 2002 mfabian@suse.de
- update to 21.4.8 + sumo-2002-05-22
- remove lib64.patch, xemacs-21.4.4-printer.el.patch,
  xemacs-21.4.4-moduledir.patch,
  packages-cvs-xemacs-sumo-2002-03-29-xslide.patch, and
  packages-cvs-xemacs-sumo-2002-03-29-liece.patch
  (included upstream)
- add UTF-8 versions of translated app-defaults
- add *fontSet definitions including iso10646-1 fonts to all
  app-defaults.
- add default app-defaults file
  /usr/X11R6/lib/X11/app-defaults/XEmacs to get the same *fontSet
  settings when starting XEmacs in an UTF-8 locale which has no
  translated app-defaults file (e.g. en_US.UTF-8).
- generate the file lists for the .el and .elc files automatically
  in the .spec file
* Mon May  6 2002 schwab@suse.de
- Readd ia64 patch, suitably adapted.
- Fix lib64 configuration.
* Thu May  2 2002 mfabian@suse.de
- fix printing with when (setq ps-multibyte-buffer 'bdf-font)
  is used
* Thu Apr 25 2002 mfabian@suse.de
- update to 21.4.6 + sumo-2002-03-29
- the update broke the build on ppc and axp, fix it.
- Provides += mule-ucs-xemacs Mule-UCS-xemacs,
  Obsoletes += mule-ucs-xemacs Mule-UCS-xemacs
  (Mule-UCS 0.84 is already part of the sumos now).
- remove packages-cvs-xemacs-sumo-2001-07-09-ia64.patch, patched
  file doesn't exist anymore.
- add packages-cvs-xemacs-sumo-2002-03-29-liece.patch and
  packages-cvs-xemacs-sumo-2002-03-29-xslide.patch to fix build
  problems in packages.
- add packages-cvs-xemacs-sumo-2002-03-29-ps-print.patch (some
  fixes for CJK printing and printing with bdf fonts)
- fix file list: some new lisp packages have been added, some
  old ones were removed and there were some mistakes in the file
  list as well.
* Tue Apr 23 2002 aj@suse.de
- Enable building on architectures with lib64.
- Fix compiler flags for x86.
* Thu Apr  4 2002 schwab@suse.de
- Fix missing quotes in configure script.
* Fri Mar  8 2002 kukuk@suse.de
- Fix file list
* Fri Feb 22 2002 werner@suse.de
- Fix bug #13340: use correct lisp macro name of mouse wheel
  screen scrolling.
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Oct 25 2001 mfabian@suse.de
- remove "/site-packages/lisp/term/" directory from load-path
- add --moduledir configure option
- add workaround to avoid dumping the paths to lisp files
  as /usr/src/packages/BUILD/... into the xemacs executable
- add pattch for big-menubar.el (thanks to <schwab@suse.de>)
* Thu Oct 18 2001 mfabian@suse.de
- fix printer.el to make 'generic-print-region' work again
  under Linux like operating systems
* Fri Sep 21 2001 mfabian@suse.de
- fix font-menu.el to make changing fonts with the menu
  possible again.
* Mon Sep 10 2001 aj@suse.de
- Remove extra space in LDFLAGS to allow building on PowerPC and
  alpha.
* Wed Sep  5 2001 werner@suse.de
- FHS: /var/state/xemacs -> /var/lib/xemacs (bug #8678)
* Mon Sep  3 2001 aj@suse.de
- Don't sort relocation entries, otherwise dumping breaks.
* Mon Jul  2 2001 mfabian@suse.de
- update to 21.4.4
- remove redisplay patch (included upstream)
- remove xemacs-sumo-2000-09-04-jde.patch (jde doesn't exist
  anymore in the current sumos)
- remove xemacs-sumo-2000-09-04-mc.patch (included upstream)
- remove xemacs-db3.patch (included upstream)
- rebuild XEmacs packages from the CVS tree instead of using
  the sumo tarballs. This enables us to easily apply patches
  and rebuild all .elc files, which is difficult with the sumos
- remove xemacs-sumo-2000-01-24-vm.patch,
    xemacs-sumo-2000-09-04-ilisp.patch
  (was only needed to fix problems in rebuilding the .elc files,
  not necessary anymore when rebuilding the .elc from CVS).
- move xemacs-sumo-2000-09-04-ispell.patch into
  packages-cvs-xemacs-sumo-2001-07-09.patch
- removed xemacs-ia64.dif (not needed anymore)
- add gpp libgpp to "# neededforbuild" (the packages contain C++
  sources)
- remove "xemacs-21.4.4-info.tar.bz2" to save some space in the
  source rpm (All these info files can be rebuild from the texinfo
  sources in the main source tar ball "xemacs-21.4.4.tar.bz2")
* Thu Jun  7 2001 werner@suse.de
- A long way: Fix trouble with new autoconf
* Thu Jun  7 2001 werner@suse.de
- Make autoconf work again
* Mon May 14 2001 werner@suse.de
- Add mail crypt patch (bug#8300)
* Tue May  8 2001 werner@suse.de
- Move [(shift home)] and [(shift end)] to [(control home)] and
  [(control end)] to be more common with WIN XY.
- Move func-keys load from window-setup-hook to init function of
  xfree of xemacs.
* Thu May  3 2001 werner@suse.de
- Fix typo in crypt.el (bug#7525)
* Fri Apr  6 2001 mfabian@suse.de
- commented out 'ascii-character property changes for 'delete
  and 'backspace in func-keys.el, because this causes problems
  when using the XEmacs <-> Canna interface (Backspace didn't
  cancel the henkan anymore)
* Sun Apr  1 2001 schwab@suse.de
- Fix ia64 support.
- Add support for Berkeley DB3 from CVS.
* Fri Mar 30 2001 werner@suse.de
- Keybinding
  Change [(home)] from beginning-of-buffer to beginning-of-line
  Change [(end)] from end-of-buffer to end-of-line
  Add [(shift home)] for beginning-of-buffer
  Add [(shift end)]  for end-of-buffer
- Basic wheel mouse support
* Thu Mar 15 2001 ro@suse.de
- changed neededforbuild for openldap2
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Mon Feb  5 2001 werner@suse.de
- Add LDAP on configuration
* Mon Feb  5 2001 werner@suse.de
- Security update to 21.1.14
* Mon Jan 22 2001 mfabian@suse.de
- installed pcl-cvs package as well (it was disabled due to
  problems with this packages, but it seems to work fine now,
  so it can be enabled again).
* Tue Nov 21 2000 werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
* Tue Nov 21 2000 werner@suse.de
- Move package names
  * from xe_exec to xemacs
  * from xe_lisp to xemacs-el
  * from xe_info to xemacs-info
- Add kvt.el and gnome.el for the terminal kvt and gnome-terminal
- Make ispell.el compatible ispell-emacs-menu.el
* Fri Nov 17 2000 mfabian@suse.de
- Build with support for FreeWnn.
- added redisplay patch important for Japanese
  (see http://www.xemacs.org/list-archives/xemacs-beta/199912/msg00376.html)
* Tue Oct 24 2000 werner@suse.de
- Replace `@AUCDIR' kludge from lisp/auctex/tex-site.el by the
  location of the auctex data directory (etc/auctex/).
- Use a more generally printer setup for auctex.
* Mon Oct 23 2000 aj@suse.de
- Build with X-Face support.
* Sun Sep 17 2000 schwab@suse.de
- Add support for ia64.
- Fix typo in configure.in.
* Fri Sep 15 2000 werner@suse.de
- Dump cl-macs into xemacs to avoid nasty loading messages
- Fix byte compiling of jde, mew, and ilisp packages
* Fri Sep  8 2000 werner@suse.de
- Correct file list
- make tar's bzip2ed
- add xterm Ctrl+cursor keys
- move dif from 2.1.10 to 2.1.12
* Thu Sep  7 2000 aj@suse.de
- Update to XEmacs 21.1.12 and Sumo packages from 2000-09-04.
* Thu Jul 13 2000 mfabian@suse.de
- cannadev is needed for build to get Canna support compiled in.
- added support for international menubars.
* Thu Jun 29 2000 werner@suse.de
- remove circular dependency between xe_exec and xe_info
* Mon May 29 2000 aj@suse.de
- Update to XEmacs 21.1.10 and  current packages (except pcl-cvs
  which has some problems)
* Wed Apr  5 2000 bk@suse.de
- needs automake for update config.{sub,guess} macro
* Tue Apr  4 2000 bk@suse.de
- s390 team added support for s390
* Thu Feb 17 2000 aj@suse.de
- Added Y2k patch for vc, fixed scaled font handling.
* Mon Feb  7 2000 kasal@suse.de
- app-defaults files should be %%config
* Thu Jan 27 2000 ro@suse.de
- specfile: re-done %%setup section for new tar
* Tue Jan 25 2000 werner@suse.de
- New version 21.1.8
  - New tarballs 2000-01-24
  - New fix for vm package
  - /usr/man -> /usr/share/man
* Fri Jan 14 2000 werner@suse.de
- Fix vm package: macros arn't autoloadable by xemacs 21.x
* Wed Dec 22 1999 werner@suse.de
- Uh: install and pack some missed scripts
* Wed Dec  1 1999 werner@suse.de
- Fix pty handling: use glibc extension
* Thu Nov 11 1999 werner@suse.de
- Fix the site-package extension
  * ispell menus
  * xterm/console key mappings
  - Fix font menu: set `ignore scaled fonts' to nil
* Fri Nov  5 1999 werner@suse.de
- Change file list of xe_info and xe_lisp
* Thu Nov  4 1999 werner@suse.de
- Remove libgif from required packages
* Sat Oct 30 1999 ro@suse.de
- modified filelist for nonx86
- removed libz from neededforbuild: it's default
* Fri Oct 29 1999 werner@suse.de
- Remove `with system malloc' because the last patch seems
  to help. Without system malloc we see more speed
* Thu Oct 28 1999 werner@suse.de
- Add patch for glibc and __malloc_hook
* Tue Oct 26 1999 werner@suse.de
- New glibc requires `with system malloc'
* Wed Oct 20 1999 werner@suse.de
- Last checks
* Wed Oct 20 1999 werner@suse.de
- New version 21.1.7
  * avoid locale problems due to lisp formats of time e.g.
  - Use xemacs-mule-sumo-1999-05-27.tar.gz to avoid trouble
  with not synched mule versions of xemacs and mule-sumo
  - Use xemacs-sumo-1999-07-29.tar.gz
  * Many bug fixes due to missed load statements and
  minor version comparision: (19.)13 > (21.)1
  - Add the already used bug fixes and changes
  * security
  * ispell menu
  * dinbrief.el for auctex
  * ...
  - Store xemacs in /usr/share/xemacs/<version>/
  and /usr/<lib>/xemacs/<version>/
  - Move info to /usr/share/xemacs/info/
  - Enable site-lisp and move it to /usr/share/xemacs/site-lisp/
  - Make configured in paths work
* Mon Sep 27 1999 bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 13 1999 werner@suse.de 
- fix locale handling of xemacs
  * overwrite LC_NUMERIC, LC_TIME, and LC_MESSAGES to
  "C" to get something what can xemacs can handle
  - fix dinbrief.el
* Mon Apr  5 1999 bs@suse.de
- fixed date strings in .changes.
* Mon Mar  8 1999 werner@suse.de 
- Remove site-lisp/ispell.el* to use the dynamic
  rebuild of the Spell menu of the ispell package
  - Create a site-start.el to do that
* Thu Nov 12 1998 bs@suse.de
- fixed spec file for new rpm.
* Tue Nov  3 1998 werner@suse.de
- Change names of languages and encoding style in ispell
  from `language    (encod)' to `language-encod'
* Tue Jul 28 1998 werner@suse.de
- Do not use system malloc ... some parts of xemacs arn't
  smart enough for that.
  - Disable const
* Mon Jul 27 1998 werner@suse.de
- Use redhat patch for alpha ... means make it work for all
  arch's. This because I do not want use ordinary linkage which
  may causes the troubles seen with xemacs and shared libs.
* Mon Jul 20 1998 werner@suse.de
- use mktemp if avaliable
* Fri Jul 10 1998 werner@suse.de
- Check all script in lib-src against tmp exploits
  - Fix pstogif (exploit and uninitialized variables)
  - Add disp-table to site-load
* Thu Jul  9 1998 werner@suse.de
- Add american to the (i)spell menu
  - Use -fno-force-mem (egcs-bug)
  - Use -rpath-link /usr/X11R6/lib
  - Avoid multiple common
  - Remove and set some CONST
* Wed May 27 1998 werner@suse.de
- Use Xaw3d instead of Xaw to avoid trouble with xaw3dd
  - Change pop service "pop" to "pop3"
* Tue Mar  3 1998 werner@suse.de
- New version 20.4
  - Same changes done for 20.3 (hacked ispell.el for our new ditcs)
  - Fix the change doe for viper-ex.el
  - Remove ctags (own package), send-pr and install-sid (gnats)
  out of /usr/X11R6/bin/
* Wed Feb 11 1998 werner@suse.de
- New version 20.3
  * Dead keys seems to work
  * Now BS and DEL are distinct
  - Some changes, e.g. hacked ispell.el for our new ditcs
* Thu Nov  6 1997 werner@suse.de
- New version 20.2
  - Add XFree86 deadlock keys to x-compose.el and x-iso8859-1.el
  - Some changes
* Fri Jul 18 1997 werner@suse.de
- New patchlevel 19.15pl7
  - Remove one change of a patch to save choosen fonts in
  `save options'
  - Add deadlock keys to x-compose.el and x-iso8859-1.el
* Sun May 25 1997 werner@suse.de
- New version: 19.15
  - some changes in keycode under TERM=xterm (term/xterm.el)
  - info goes to /usr/X11R6/lib/xemacs/info/
* Tue Feb  4 1997 werner@suse.de
- Aufraeumen von term/linux.el und term/xterm.el:
  Statt setzten von delete/backspace wird nun
  delbackspace.el verwendet.
  - Fix in einer Info-Seite
* Thu Jan  2 1997 werner@suse.de
- Neue Version von Xemacs: 19.14
  - Anpassungen  an TERM=linux, TERM=xterm
  - Delete loescht Zeichen unter dem Cursor
